models/Brand.php
<?php

namespace app\models;
use yii\db\ActiveRecord;
use yii;
class Brand extends ActiveRecord
{
    public function behaviors()
    {
        return [
            'image'=>[
                'class' => 'rico\yii2images\behaviors\ImageBehave',
            ]
        ];
    }
    public static function tableName()
    {
        return 'brand';
    }
    /**
     * @return \yii\db\ActiveQuery
     */
    public function getBrand()
    {
        return $this->hasOne(Brand::className(), ['id' => 'brand_id']);
    }
}

controllers/BrandController.php
<?php

namespace app\controllers;
use app\models\Category;
use app\models\Product;
use app\modules\admin\models\Brand;
use Yii;
use yii\data\Pagination;
/**
 * @property int $id
 * @property string $name
 * @property Product $products
 * @property string $content
 * @property null $keywords
 * @property float $price
 * @property integer $new
 * @property integer $sale
 * @property integer $hit
 */
class BrandController extends AppController
{
    public function actionIndex()
    {
        $brands = Brand::find()->all();

        return $this->render('index', ['brands' => $brands]);
    }

    public function actionView($id)
    {
        $query = Product::find()->where(['brand_id' => $id]);
        $brand = Brand::findOne($id);
        if (empty($brand)) {
            throw new \yii\web\HttpException(404, 'Такой brand нет ');
        }
        $pages = new Pagination([
            'totalCount'     => $query->count(),
            'pageSize'       => 10,
            'forcePageParam' => false,
            'pageSizeParam'  => false
        ]);
        $products = $query->offset($pages->offset)
            ->limit($pages->limit)
            ->all();
        return $this->render('view',compact(
            'brand',
            'pages',
            'products'
        ));
    }
    public function actionSearch(){
        $q = trim(Yii::$app->request->get('q'));
        $this->setMeta('E-SHOPPER |Поиск: ' . $q);
        if (!$q)
            return $this->render('view');
        $query = Brand::find()->where(['like', 'name', $q]);
        $pages = new Pagination(['totalCount' =>
            $query->count(), 'pageSize' => 3, 'forcePageParam' => false, 'pageSizeParam' => false]);
        $brands = $query->offset($pages->offset)->limit($pages->limit)->all();
        return $this->render('view', compact('brands', 'pages', 'q'));
    }
}

controllers/CartController.php
<?php
/** Created by PhpStorm. ... */

namespace app\controllers;

use app\models\Product;
use app\models\Cart;
use app\models\Order;
use app\models\OrderItems;
use Yii;

class CartController extends AppController
{
    public function actionAdd()
    {
        if (!Yii::$app->request->isAjax) {
            return $this->redirect(Yii::$app->request->referrer);
        }

        $id = Yii::$app->request->get('id');
        $qty = (int)Yii::$app->request->get('qty');
        $qty = !$qty ? 1 : $qty;
        $product = Product::findOne($id);
        if (empty($product)) return false;
        $session = Yii::$app->session;
        $session->open();
        $cart = new Cart();
        $cart->addToCart($product, $qty);
        $cart->addToCart($product, $qty);
        $this->layout = false;

        return $this->render('cart-modal', ['session' => $session]);
    }

    public function actionClear()
    {
        Yii::$app->params['adminEmail'];
        $session = Yii::$app->session;
        $session->open();
        $session->remove('cart');
        $session->remove('cart.qty');
        $session->remove('cart.sum');
        $this->layout = false;
        return $this->render('cart-modal', ['session' => $session]);
    }

    public function actionDelItem()
    {
        $id = Yii::$app->request->get('id');
        $session = Yii::$app->session;
        $session->open();
        $cart = new Cart();
        $cart->recalc($id);
        $this->layout = false;
        return $this->render('cart-modal', ['session' => $session]);
    }

    public function actionShow()
    {
        $id = Yii::$app->request->get('id');
        $session = Yii::$app->session;
        $session->open();
        $this->layout = false;
        return $this->render('cart-modal', ['session' => $session]);
    }

    public function actionView()
    {
        $session = Yii::$app->session;
        $session->open();
        $this->setMeta('Korzinka');
        $order = new Order();
        if ($order->load(Yii::$app->request->post())) {
            $order->qty = $session['cart.qty'];
            $order->sum = $session['cart.sum'];
            if ($order->save()) {
                $this->saveOrderItems($session['cart'], $order->id);
                Yii::$app->session->setFlash('success', 'Ваш заказ принят, Менежер вскоре свяжется с вами');
                Yii::$app->mailer->compose('order',['session'=>$session])
                ->setFrom(['abdullayev.dev@gmail.com'=>'stock'])
                ->setTo($order->email)
                ->setSubject('Zakaz')
                ->send();

                $session->remove('cart');
                $session->remove('cart.qty');
                $session->remove('cart.sum');
                return $this->refresh();
            } else {
                Yii::$app->session->setFlash('error', 'Ошибка офартиления заказа.. ');
            }
        }
        return $this->render('view', ['session' => $session, 'order' => $order]);
    }

    protected function saveOrderItems($items, $order_id)
    {
        foreach ($items as $id => $item) {
            $order_items = new OrderItems();
            $order_items->order_id = $order_id;
            $order_items->product_id = $id;
            $order_items->name = $item['name'];
            $order_items->price = $item['price'];
            $order_items->qty_item = $item['qty'];
            $order_items->sum_item = $item['qty'] * $item['price'];
            $order_items->save();
        }
    }
}

controllers/ProductController.php
<?php

namespace app\controllers;

use app\models\Category;
use app\models\Product;
use Yii;
/**
 * @property int $id
 * @property string $name
 * @property Product $products
 * @property string $content
 * @property null $keywords
 * @property float $price
 * @property integer $new
 * @property integer $sale
 * @property integer $hit
 */
class ProductController extends AppController
{
    public function actionView($id)
    {
        $product = Product::findOne($id);
        if (empty($product))
            throw new \yii\web\HttpException(404, 'Такой категорий нет ');

        // $product = Product::find()->with('category')->where(['id'=>$id])->limit(1)->one();
        $hits = Product::find()->where(['hit' => '1'])->limit(6)->all();
        $this->setMeta('E-SHOPPER |' . $product->name, $product->keywords, $product->description);
        return $this->render('view', ['product' => $product,'hits'=>$hits]);
    }
}

views/brand/index.php
<?php

/** @var $this yii\web\View */

use yii\helpers\Html;
use yii\helpers\Url;

?>
<section id="slider">
    <div class="container">
        <div class="row">
<?php if(!empty($brands)): ?>
            <?php foreach ($brands as $brand): ?>
                <div class="col-sm-3">
                    <div class="product-image-wrapper">
                        <div class="single-products">
                            <div class="productinfo text-center">
                                <?= Html::img("@web/{$brand->image}", ['alt' => $brand->name]) ?>
                                <p><a href="<?= Url::to(['brand/view', 'id' => $brand->id]) ?>"><?= $brand->name ?></a></p>
                                <a href="<?= Url::to(['cart/add', 'id' => $brand->id]) ?>" data-id="<?= $brand->id ?>"</a>
                            </div>
                        </div>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
        <?php endif; ?>
    </div>
</section>

views/brand/search.php
<?php

/** @var $this yii\web\View */

use yii\helpers\Html;

?>

<section id="advertisement">
    <div class="container">
        <img src="/images/shop/1.jpg" alt=""/>
    </div>
</section>

<section>
    <div class="container">
        <div class="row">
            <div class="col-sm-3">
                <div class="left-sidebar">
                    <h2>Category</h2>
                    <ul class="catalog category-products">
                        <?= \app\components\MenuWidget::widget(['tpl' => 'menu']) ?>
                    </ul>

                    <div class="brands_products"><!--brands_products-->
                        <h2>Brands</h2>
                        <div class="brands-name">
                            <ul class="nav nav-pills nav-stacked">
                                <li><a href=""> <span class="pull-right">(50)</span>Acne</a></li>
                                <li><a href=""> <span class="pull-right">(56)</span>Grüne Erde</a></li>
                                <li><a href=""> <span class="pull-right">(27)</span>Albiro</a></li>
                                <li><a href=""> <span class="pull-right">(32)</span>Ronhill</a></li>
                                <li><a href=""> <span class="pull-right">(5)</span>Oddmolly</a></li>
                                <li><a href=""> <span class="pull-right">(9)</span>Boudestijn</a></li>
                                <li><a href=""> <span class="pull-right">(4)</span>Rösch creative culture</a></li>
                            </ul>
                        </div>
                    </div><!--/brands_products-->

                    <div class="price-range"><!--price-range-->
                        <h2>Price Range</h2>
                        <div class="well">
                            <input type="text" class="span2" value="" data-slider-min="0" data-slider-max="600"
                                   data-slider-step="5" data-slider-value="[250,450]" id="sl2"><br/>
                            <b>$ 0</b> <b class="pull-right">$ 600</b>
                        </div>
                    </div><!--/price-range-->

                    <div class="shipping text-center"><!--shipping-->
                        <img src="/images/home/shipping.jpg" alt=""/>
                    </div><!--/shipping-->
                </div>
            </div>

            <div class="col-sm-9 padding-right">
                <div class="features_items"><!--features_items-->
                    <h2 class="title text-center">Поиск по запросу:<?= Html::encode($q)?></h2>
                    <?php if (!empty($brands)): ?>
                        <?php $i = 0; foreach ($brands as $brand): ?>
                            <div class="col-sm-4">
                                <div class="product-image-wrapper">
                                    <div class="single-products">
                                        <div class="productinfo text-center">
                                            <?= Html::img("@web/{$brand->image}", ['alt' => $brand->name]) ?>
                                            <h2><?= $brand->status ?><p style="color: blue">so'm</p></h2>
                                                <a href="<?= \yii\helpers\Url::to(['product/view', 'id' => $brand->id]) ?>"
                                                ><?= $brand->name ?>></a></p>
                                            <a href="#" class="btn btn-default add-to-cart"><i
                                                    class="fa fa-shopping-cart"></i>Add to cart</a>
                                        </div>
                                    </div>
                                    <div class="choose">
                                        <ul class="nav nav-pills nav-justified">
                                            <li><a href=""><i class="fa fa-plus-square"></i>Add to wishlist</a></li>
                                            <li><a href=""><i class="fa fa-plus-square"></i>Add to compare</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <?php $i++ ?>
                            <?php if ($i % 3 == 0): ?>
                            <?php endif; ?>
                        <?php endforeach; ?>
                        <div class="clearfix"></div>
                        <?php
                        echo \yii\widgets\LinkPager::widget([
                            'pagination'=>$pages,]);
                        ?>
                    <?php else : ?>
                        <h2>Нечево не найдена</h2>
                    <?php endif; ?>
                </div><!--features_items-->
            </div>
        </div>
    </div>
</section>

views/brand/view.php
<?php

/** @var $this yii\web\View */

use yii\helpers\Html;
use yii\bootstrap5\LinkPager;

?>

<section id="advertisement">
    <div class="container">
        <img src="/images/shop/1.jpg" alt=""/>
    </div>
</section>

<section>
    <div class="container">
        <div class="row">
            <div class="col-sm-3">
                <div class="left-sidebar">
                    <h2>Category</h2>
                    <ul class="catalog category-products">
                        <?= \app\components\MenuWidget::widget(['tpl' => 'menu']) ?>
                    </ul>

                    <div class="brands_products"><!--brands_products-->
                        <h2>Brands</h2>
                        <div class="brands-name">
                            <ul class="nav nav-pills nav-stacked">
                                <li><a href=""> <span class="pull-right">(50)</span>Acne</a></li>
                                <li><a href=""> <span class="pull-right">(56)</span>Grüne Erde</a></li>
                                <li><a href=""> <span class="pull-right">(27)</span>Albiro</a></li>
                                <li><a href=""> <span class="pull-right">(32)</span>Ronhill</a></li>
                                <li><a href=""> <span class="pull-right">(5)</span>Oddmolly</a></li>
                                <li><a href=""> <span class="pull-right">(9)</span>Boudestijn</a></li>
                                <li><a href=""> <span class="pull-right">(4)</span>Rösch creative culture</a></li>
                            </ul>
                        </div>
                    </div><!--/brands_products-->

                    <div class="price-range"><!--price-range-->
                        <h2>Price Range</h2>
                        <div class="well">
                            <input type="text" class="span2" value="" data-slider-min="0" data-slider-max="600"
                                   data-slider-step="5" data-slider-value="[250,450]" id="sl2"><br/>
                            <b>$ 0</b> <b class="pull-right">$ 600</b>
                        </div>
                    </div><!--/price-range-->

                    <div class="shipping text-center"><!--shipping-->
                        <img src="/images/home/shipping.jpg" alt=""/>
                    </div><!--/shipping-->
                </div>
            </div>

            <div class="col-sm-9 padding-right">
                <div class="features_items"><!--features_items-->
                    <h2 class="title text-center"><?= $brand->name ?></h2>
                    <?php if (!empty($products)): ?>
                        <?php $i = 0;
                        foreach ($products as $product): ?>
                            <div class="col-sm-4">
                                <div class="product-image-wrapper">
                                    <div class="single-products">
                                        <div class="productinfo text-center">
                                            <?= Html::img("@web/images/products/{$product->img}", ['alt' => $product->name]) ?>
                                            <h2><?= $product->price ?><p style="color: blue">so'm</p></h2>
                                            <p>
                                                <a href="<?= \yii\helpers\Url::to(['product/view', 'id' => $product->id]) ?>"><?= $product->name ?></a>
                                            </p>
                                            <a href="#" data-id="<?= $product->id?>" class="btn btn-default add-to-cart">
                                                <iclass ="fa fa-shopping-cart"></i>Add to cart</a>



                                        </div>
                                        <?php if ($product->new): ?>
                                            <?= Html::img("@web/images/home/new.png", ['alt' => 'Новинка', 'class' => 'new']) ?>
                                        <?php endif; ?>

                                        <?php if ($product->sale): ?>
                                            <?= Html::img("@web/images/home/sale.png", ['alt' => 'Распродажа', 'class' => 'new']) ?>
                                        <?php endif; ?>
                                    </div>
                                    <div class="choose">
                                        <ul class="nav nav-pills nav-justified">
                                            <li><a href=""><i class="fa fa-plus-square"></i>Add to wishlist</a></li>
                                            <li><a href=""><i class="fa fa-plus-square"></i>Add to compare</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <?php $i++ ?>
                            <?php if ($i % 3 == 0): ?>
                            <?php endif; ?>
                        <?php endforeach; ?>
                        <div class="clearfix"></div>
                        <?php
                        echo \yii\widgets\LinkPager::widget([
                            'pagination' => $pages,]);
                        ?>
                    <?php else : ?>
                        <h2>Здесь товар пака нет </h2>
                    <?php endif; ?>
                </div><!--features_items-->
            </div>
        </div>
    </div>
</section>